Documents

Document Solution Configuration Get

GET
/documents/configuration/{documentSolutionConfigurationGuid}/get

Retrieves a single document solution configuration by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentSolutionConfigurationGuid*string

GUID of the document solution configuration.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/documents/configuration/a3bb189e-8bf9-3888-9912-ace4e6543002/get"
{  "result": {    "data": {      "documentSolutionConfiguration": {        "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",        "documentSolutionGuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",        "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",        "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "name": "Invoice - PDF via Email",        "description": "Renders invoices as PDF and e-mails them to the customer.",        "title": "Invoice",        "fileFormat": "pdf",        "processingType": "STANDARD",        "deliveryMethod": "Email",        "path": "output/invoices/",        "pdfConformanceLevel": "PdfA2B",        "pdfVersion": "2026-01-07",        "language": "en",        "locale": "en-US",        "timeZone": "America/New_York",        "embeddedData": "{\"companyName\":\"Contoso Ltd\"}",        "viewAnonymous": false,        "editAnonymous": false,        "viewOrganization": true,        "editOrganization": false,        "viewUser": true,        "editUser": false,        "viewUserEmailList": "alice@example.com,bob@example.com",        "editUserEmailList": "carol@example.com",        "createdDate": "2026-07-14T09:30:00.000Z",        "lastModifiedDate": "2026-07-14T09:30:00.000Z",        "isDeleted": false      }    },    "statusCode": 200,    "message": "OK"  },  "origin": "GET https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/get",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "d0cd6622851e98e6acdce9f25ea70765",  "userId": "1955c35c-f1ff-4fbb-b0cf-c3bce6f61e88"}
{  "userId": "e6215698-b3a3-483a-8f6e-7f9e0edc8d47",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "508b76014fece6d1fcbd05de8ef8d038"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "82d7d8465025abbec9fbd7975e71b96a",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "da2f4293f150da1b232a32e3f8207085",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "bf5aa146-bfe1-4286-949c-e26650a90446",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "aad9d6dde58f593caa34c725f98548b1"}